PETSc version 3.15.5
Fix/Edit manual page

# PetscOptionsInsertStringYAML

Inserts YAML-formatted options into the database from a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsInsertStringYAML(PetscOptions options,const char in_str[])

Logically Collective

### Input Parameter

| options | - options database, use NULL for default global database
| in_str | - YAML-formatted string options

### See Also

PetscOptionsSetValue(), PetscOptionsView(), PetscOptionsHasName(), PetscOptionsGetInt(),
PetscOptionsGetReal(), PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList(), PetscOptionsInsertFile(), PetscOptionsInsertFileYAML()

### Level

intermediate

### Location

src/sys/objects/optionsyaml.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages